<?php
class Bitfoundry_Etnpay_Block_Info_Pay extends Mage_Payment_Block_Info
{
    protected function _construct()
    {
        parent::_construct();
    }

    protected function _prepareSpecificInformation($transport = null)
    {
        if (null !== $this->_paymentSpecificInformation) {
            return $this->_paymentSpecificInformation;
        }

        $transport = parent::_prepareSpecificInformation($transport);
        $data = array();

        $orderPayment = Mage::getModel('sales/order_payment')->getCollection()
            ->addFieldToSelect('parent_id')
            ->addFieldToFilter('entity_id', array('eq' => $this->getInfo()->getId()));

        $order = Mage::getModel('sales/order')->load($orderPayment->getColumnValues('parent_id')[0]);
        $order = Mage::getModel('sales/order')->load($orderPayment->getColumnValues('parent_id')[0]);
        $invoice = Mage::getModel('sales/order_invoice')->getCollection()
            ->addFieldToSelect('etn_amount')
            ->addFieldToFilter('order_id', array('eq' => $order->getId()))
            ->addFieldToFilter('etn_amount', array('gt' => ''));

        if ($invoice->getColumnValues('etn_amount')[0]) {
            $data[Mage::helper('payment')->__('Total Electroneum Paid')] = $invoice->getColumnValues('etn_amount')[0] . " ETN";
        }

        return $transport->setData(array_merge($data, $transport->getData()));
    }
}
